#!/bin/bash

create_csv () {
    printf "file;"
    echo `head -1 ${4}`
    for f in $1; do printf $f";" ; cat "$f" ; done
    for f in $2; do printf $f";" ; cat "$f" ; done
    for f in $3; do printf $f";" ; cat "$f" ; done
}

cd data

create_csv "sample1-mean.csv" "sample1-mdav-generic-?-mean.csv" "sample1-mdav-generic-10-mean.csv" "sample1-aux.csv" > ../metric/sample1-means.csv
create_csv "ed007-pg001a-mean.csv" "ed007-pg001a-mdav-generic-?-mean.csv" "ed007-pg001a-mdav-generic-10-mean.csv" "ed007-pg001a-aux.csv" > ../metric/ed007-pg001a-means.csv
create_csv "ed009-pg019a-mean.csv" "ed009-pg019a-mdav-generic-?-mean.csv" "ed009-pg019a-mdav-generic-10-mean.csv" "ed009-pg019a-aux.csv" > ../metric/ed009-pg019a-means.csv

create_csv "sample1-variance.csv" "sample1-mdav-generic-?-variance.csv" "sample1-mdav-generic-10-variance.csv" "sample1-aux.csv" > ../metric/sample1-variances.csv
create_csv "ed007-pg001a-variance.csv" "ed007-pg001a-mdav-generic-?-variance.csv" "ed007-pg001a-mdav-generic-10-variance.csv" "ed007-pg001a-aux.csv" > ../metric/ed007-pg001a-variances.csv
create_csv "ed009-pg019a-variance.csv" "ed009-pg019a-mdav-generic-?-variance.csv" "ed009-pg019a-mdav-generic-10-variance.csv" "ed009-pg019a-aux.csv" > ../metric/ed009-pg019a-variances.csv

create_csv "sample1-quantile50.csv" "sample1-mdav-generic-?-quantile50.csv" "sample1-mdav-generic-10-quantile50.csv" "sample1-aux.csv" > ../metric/sample1-quantiles50.csv
create_csv "ed007-pg001a-quantile50.csv" "ed007-pg001a-mdav-generic-?-quantile50.csv" "ed007-pg001a-mdav-generic-10-quantile50.csv" "ed007-pg001a-aux.csv" > ../metric/ed007-pg001a-quantiles50.csv
create_csv "ed009-pg019a-quantile50.csv" "ed009-pg019a-mdav-generic-?-quantile50.csv" "ed009-pg019a-mdav-generic-10-quantile50.csv" "ed009-pg019a-aux.csv" > ../metric/ed009-pg019a-quantiles50.csv

create_csv "sample1-quantile75.csv" "sample1-mdav-generic-?-quantile75.csv" "sample1-mdav-generic-10-quantile75.csv" "sample1-aux.csv" > ../metric/sample1-quantiles75.csv
create_csv "ed007-pg001a-quantile75.csv" "ed007-pg001a-mdav-generic-?-quantile75.csv" "ed007-pg001a-mdav-generic-10-quantile75.csv" "ed007-pg001a-aux.csv" > ../metric/ed007-pg001a-quantiles75.csv
create_csv "ed009-pg019a-quantile75.csv" "ed009-pg019a-mdav-generic-?-quantile75.csv" "ed009-pg019a-mdav-generic-10-quantile75.csv" "ed009-pg019a-aux.csv" > ../metric/ed009-pg019a-quantiles75.csv

create_csv "sample1-frequency.csv" "sample1-mdav-generic-?-frequency.csv" "sample1-mdav-generic-10-frequency.csv" "sample1-aux.csv" > ../metric/sample1-frequencies.csv
create_csv "ed007-pg001a-frequency.csv" "ed007-pg001a-mdav-generic-?-frequency.csv" "ed007-pg001a-mdav-generic-10-frequency.csv" "ed007-pg001a-aux.csv" > ../metric/ed007-pg001a-frequencies.csv
create_csv "ed009-pg019a-frequency.csv" "ed009-pg019a-mdav-generic-?-frequency.csv" "ed009-pg019a-mdav-generic-10-frequency.csv" "ed009-pg019a-aux.csv" > ../metric/ed009-pg019a-frequencies.csv

cd ..